import 'package:json_annotation/json_annotation.dart';
import 'package:retrofit/retrofit.dart';
import 'package:dio/dio.dart';

part 'Demo.g.dart';

@RestApi(baseUrl: "http://dev.config.home.operapay.com")
abstract class Demo {
  factory Demo(Dio dio, {String baseUrl}) = _Demo;

  @POST("/version/check")
  Future<VersionData> getTasks(@Body() Map<String, dynamic> json);
}

@JsonSerializable()
class VersionData {
  Version version;
  String err;

  factory VersionData.fromJson(Map<String, dynamic> json) {
    return VersionData._init(version: Version.fromJson(json["version"]), err: json["err"]);
  }

  VersionData._init({this.version, this.err});

  @override
  String toString() {
    return 'VersionData{version: $version, err: $err}';
  }
}

class Version {
  String version_name;
  String title;
  String content;

  factory Version.fromJson(Map<String, dynamic> json) {
    return Version._init(json["version_name"], json["title"], json["content"]);
  }

  Version._init(this.version_name, this.title, this.content);

  @override
  String toString() {
    return 'Version{version_name: $version_name, title: $title, content: $content}';
  }

}
