import 'package:dio/dio.dart';
import 'package:opayhttpmodule/http/interceptors/headerintercept.dart';
import 'package:opayhttpmodule/http/interceptors/tokenintercept.dart';
import 'package:opayhttpmodule/http/interceptors/urlintercept.dart';

///link:https://pub.flutter-io.cn/packages/dio
class HttpUtils {
  static HttpUtils _httpUtils;

  HttpUtils._client();

  factory HttpUtils() {
    if (_httpUtils == null) {
      _httpUtils = HttpUtils._client();
    }
    return _httpUtils;
  }

  Dio getOPayHttpClient() {
    var dio = new Dio();
    dio.interceptors.add(new TokenIntercept());
    dio.interceptors.add(new Headerintercept());
    dio.interceptors.add(new UrlIntercept());
    dio.interceptors.add(new LogInterceptor(
        responseBody: false, requestHeader: true, request: true));
    return dio;
  }
}

